curl --request POST \
--url https://api.dfns.io/permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"name": "<string>",
"operations": [
"Registry:Addresses:Create"
]
}
'{
"id": "pm-37vj4-jkr4l-lc9945spfftkne57",
"name": "<string>",
"operations": [
"<string>"
],
"status": "Active",
"isImmutable": true,
"isArchived": true,
"dateCreated": "2023-04-14T20:41:28.715Z",
"dateUpdated": "2023-04-14T20:41:28.715Z"
}Creates a new permission (also referred to as “role” in the dashboard) that grants access to the specified API operations.
curl --request POST \
--url https://api.dfns.io/permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"name": "<string>",
"operations": [
"Registry:Addresses:Create"
]
}
'{
"id": "pm-37vj4-jkr4l-lc9945spfftkne57",
"name": "<string>",
"operations": [
"<string>"
],
"status": "Active",
"isImmutable": true,
"isArchived": true,
"dateCreated": "2023-04-14T20:41:28.715Z",
"dateUpdated": "2023-04-14T20:41:28.715Z"
}CustomerEmployee)EndUser)Permissions:Create: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows
Human-readable name for the permission (role).
1 - 100List of API operations this permission grants access to. See Permissions List for available operations.
1Registry:Addresses:Create, Registry:Addresses:Delete, Registry:Addresses:Read, Registry:Addresses:Update, Registry:ContractSchemas:Create, Registry:ContractSchemas:Delete, Registry:ContractSchemas:Read, Auth:Logs:Read, Auth:Users:Create, Auth:Users:Read, Auth:Users:Update, Auth:Users:Activate, Auth:Users:Deactivate, Auth:Users:Delete, Auth:ServiceAccounts:Create, Auth:ServiceAccounts:Read, Auth:ServiceAccounts:Update, Auth:ServiceAccounts:Deactivate, Auth:ServiceAccounts:Activate, Auth:ServiceAccounts:Delete, Auth:Pats:Create, Auth:Register:Delegated, Auth:Login:Delegated, Auth:Recover:Delegated, Agreements:Acceptance:Create, Agreements:Acceptance:Read, Events:Read, Exchanges:Create, Exchanges:Read, Exchanges:Delete, Exchanges:Deposits:Create, Exchanges:Withdrawals:Create, FeeSponsors:Create, FeeSponsors:Read, FeeSponsors:Update, FeeSponsors:Delete, FeeSponsors:Use, Orgs:Read, Orgs:Update, Orgs:Settings:Read, Orgs:Settings:Update, Permissions:Archive, Permissions:Create, Permissions:Read, Permissions:Update, Permissions:Assign, Permissions:Revoke, Permissions:Assignments:Read, Policies:Archive, Policies:Create, Policies:Read, Policies:Update, Policies:Approvals:Read, Policies:Approvals:Approve, Signers:ListSigners, Stakes:Create, Stakes:Read, Stakes:Update, Swaps:Create, Swaps:Read, Payouts:Create, Payouts:Read, Payouts:Write, Allocations:Create, Allocations:Update, Allocations:Read, Keys:Create, Keys:Delete, Keys:Read, Keys:Update, Keys:Reuse, Keys:Delegate, Keys:Import, Keys:Export, Keys:Derive, Keys:ChildKeys:Create, Keys:Signatures:Create, Keys:Signatures:Read, KeyStores:Read, Networks:CantonValidators:Create, Networks:CantonValidators:Read, Networks:CantonValidators:Update, Networks:CantonValidators:Delete, Wallets:Create, Wallets:Read, Wallets:Update, Wallets:Tags:Add, Wallets:Tags:Delete, Wallets:Transactions:Create, Wallets:Transactions:Read, Wallets:Transactions:Abort, Wallets:Transfers:Create, Wallets:Transfers:Read, Wallets:Transfers:Abort, Wallets:Offers:Read, Wallets:Offers:Settle, Vaults:Create, Vaults:Read, Vaults:Update, Vaults:Tags:Add, Vaults:Tags:Delete, Webhooks:Create, Webhooks:Read, Webhooks:Update, Webhooks:Delete, Webhooks:Ping, Webhooks:Events:Read, Billing:Read, Billing:Write, Analytics:Read Success
ID of the permission (also referred to as "role" in the dashboard).
1 - 64^pm-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$"pm-37vj4-jkr4l-lc9945spfftkne57"
Human-readable name of the permission (role).
List of API operations this permission grants access to. See Permissions List for available operations.
Current status of the permission.
Active Whether this permission is system-managed and cannot be modified.
Whether this permission has been archived (soft-deleted).
Was this page helpful?